<?php 
include "textologin.php";

if ($idRevista){
	$revista_actual=$db->getLinha("revista", $idRevista);
} else {
	$sql="select * from revista where activo=1 order by id desc limit 1";
	$revista_actuala=$db->get($sql);
	$revista_actual=$revista_actuala[0];
}


$revista_paginas=$db->getLista("revista_pagina", $revista_actual['id'], "*", "num_pagina", 1, 0, $isLogin?200:3);
$tam_revista_paginas=sizeof($revista_paginas);

$sql="select count(id) as total from revista where activo=1";
$revistacount = $db->get($sql);
$totalrevistas= $revistacount[0]['total'];

if (is_file($revista_actual['background'])){
	print "<style>body{	background: url('".$revista_actual['background']."');background-attachment:fixed;}</style>";
}


if ($isLogin !=1){
	$revista_paginas[3]['texto']="<div style='margin:50px 50px'>" . $textologin . "</div>";
	$tam_revista_paginas++;
}
?>
<? include ("inc/header.php"); ?>
<script type="text/javascript">
revista_actual=<?=$revista_actual['id']?>;
pagina=1;
maxpaginas=<?=$tam_revista_paginas?>;
</script>
<script type="text/javascript" src="js/revista.js"></script>	
		<div id="revista">
			<div id="loading"><img src="imagens/loading.gif"></div>
			<div id="book">
				<div class="b-load">
					<?php for ($i=0; $i<$tam_revista_paginas; $i++){
					if ($revista_paginas[$i]['background']) {
						$style="style=\"background: url('".$revista_paginas[$i]['background']."') no-repeat\"";
					} else {
						$style="";
					} ?>
					<div class="pag" id="pag<?=$revista_paginas[$i]['num_pagina']?>" <?=$style?>>	
						<?=$revista_paginas[$i]['texto']?>
					</div>
					<?php } ?>
				</div>
				
			</div>


			<div id="revistazoom" class="clearfix">
				<div id="zoomesq" class="esq"><a href="#" id="azoomesq"><img src="imagens/zoom_esq.png"></a></div>
				<div id="zoomdir" class="dir"><a href="#" id="azoomdir"><img src="imagens/zoom_dir.png"></a></div>
			</div>
		</div>